import svelteIcon from '$lib/images/vendorIcons/svelteIcon.svg';
import tailwindIcon from '$lib/images/vendorIcons/tailwindIcon.svg';
import vercelIcon from '$lib/images/vendorIcons/vercelIcon.svg';
import flowbiteSvelteIcon from '$lib/images/vendorIcons/flowbiteSvelteIcon.svg';
import reactIcon from '$lib/images/vendorIcons/reactIcon.svg';
import nextjsIcon from '$lib/images/vendorIcons/nextjsIcon.svg';
import drizzleIcon from '$lib/images/vendorIcons/drizzleIcon.webp';
import zustandIcon from '$lib/images/vendorIcons/zustandIcon.png';
import shadcnIcon from '$lib/images/vendorIcons/shadcnIcon.png';
import goIcon from '$lib/images/vendorIcons/goIcon.svg';
import awsIcon from '$lib/images/vendorIcons/awsIcon.svg';

export const projects = [
	{
		category: 'nextjs',
		title: 'Software Jobs',
		url: 'https://jobs.rannes.dev',
		description:
			'I wanted an excuse to try out Go, and I also want to find a job. The scraper is built with Go and the Colly package. It runs on a AWS EC2 instance, and the frontend is built with Next.js which is deployed to Vercel.',
		repo: 'https://gitea.rannes.dev/rannes.dev/sw-jobs-frontend',
		rss: 'https://gitea.rannes.dev/rannes.dev/sw-jobs-frontend.rss',
		image: '',
		vendors: [
			{
				name: 'Go',
				img: goIcon,
				url: 'https://go.dev/'
			},
			{
				name: 'Next.js',
				img: nextjsIcon,
				url: 'https://nextjs.org/'
			},
			{
				name: 'Tailwind',
				img: tailwindIcon,
				url: 'https://tailwindcss.com/'
			},
			{
				name: 'Vercel',
				img: vercelIcon,
				url: 'https://vercel.com/'
			},
			{
				name: 'AWS',
				img: awsIcon,
				url: 'https://aws.amazon.com/'
			}
		]
	},
	{
		category: 'svelte',
		title: 'Portfolio',
		url: 'https://rannes.dev',
		description:
			'This project was initially to get familiar with Svelte and showcase my future projects. I find myself that I keep coming back to expand on it whenever I need a break from React.',
		repo: 'https://gitea.rannes.dev/rannes.dev/my-portfolio',
		rss: 'https://gitea.rannes.dev/rannes.dev/my-portfolio.rss',
		image: '',
		vendors: [
			{
				name: 'Svelte',
				img: svelteIcon,
				url: 'https://svelte.dev/'
			},
			{
				name: 'Tailwind',
				img: tailwindIcon,
				url: 'https://tailwindcss.com/'
			},
			{
				name: 'Flowbite',
				img: flowbiteSvelteIcon,
				url: 'https://flowbite-svelte.com//'
			},
			{
				name: 'Vercel',
				img: vercelIcon,
				url: 'https://vercel.com/'
			}
		]
	},
	{
		category: 'nextjs',
		title: 'Online Wine Shop.',
		url: 'https://wine-shop-eta.vercel.app/',
		description:
			"To get practical experience with forms, databases, queries and states I want to build a online wine shop for my friend Ketil (that he didn't ask for). Besides the current technologies, I plan to implement Clerk or Auth.js for auth, and Zustand for state management if neccesary (Something tells me it's needed at least for cart) I am doing my best to implement progressive enhancement in forms with cool hooks like <code class='dark:bg-slate-800 bg-stone-300 rounded p-1'>useActionState</code> and explore caching and the prevention of caching in nextjs and vercel. 🤷",
		repo: 'https://gitea.rannes.dev/rannes.dev/wine-shop',
		rss: 'https://gitea.rannes.dev/rannes.dev/wine-shop.rss',
		image: '',
		vendors: [
			{
				name: 'React',
				img: reactIcon,
				url: 'https://react.dev/'
			},
			{
				name: 'Next.js',
				img: nextjsIcon,
				url: 'https://nextjs.org/'
			},
			{
				name: 'Tailwind',
				img: tailwindIcon,
				url: 'https://tailwindcss.com/'
			},
			{
				name: 'Drizzle',
				img: drizzleIcon,
				url: 'https://orm.drizzle.team/'
			},
			{
				name: 'Zustand',
				img: zustandIcon,
				url: 'https://zustand-demo.pmnd.rs/'
			},
			{
				name: 'Shadcn',
				img: shadcnIcon,
				url: 'https://ui.shadcn.com/'
			},
			{
				name: 'Vercel',
				img: vercelIcon,
				url: 'https://vercel.com/'
			}
		]
	},
	{
		category: 'nextjs',
		title: 'Local weather',
		url: 'https://weather.rannes.dev',
		description: 'A simple application to fetch a weekly weather forecast.',
		repo: 'https://gitea.rannes.dev/rannes.dev/local-weather',
		rss: 'https://gitea.rannes.dev/rannes.dev/local-weather.rss',
		image: '',
		vendors: [
			{
				name: 'React',
				img: reactIcon,
				url: 'https://react.dev/'
			},
			{
				name: 'Next.js',
				img: nextjsIcon,
				url: 'https://nextjs.org/'
			},
			{
				name: 'Tailwind',
				img: tailwindIcon,
				url: 'https://tailwindcss.com/'
			},
			{
				name: 'Vercel',
				img: vercelIcon,
				url: 'https://vercel.com/'
			}
		]
	}
];
